/* CSS Document */
@charset "UTF-8";
/* 内外边距通常让各浏览器样式的表现位置不同 */
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,pre,code,blockquote,a,img,dl,dt,dd,ol,ul,li,fieldset,form,input,textarea,label,legend,table,tr,th,td,hr,buttoncaption,article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section{margin:0;padding:0;}
/* 防止用户自定义背景颜色对页面的影响 */
html{ background-color:#FFF;color:#333;}
body{ width:100%;height:100%; font:12px/1.5 Microsoft YaHei, sans-serif; color:#333;}
article,aside,details,figcaption,figure,footer,header,hgroup,menu,nav,section { display:block;}
/* 去掉table cell的边距，并让其重合 */
table{ border-collapse:collapse;border-spacing:0;}
th{ text-align:inherit; font-weight:normal;}
table,td,th{ vertical-align:middle;}
caption,th,td{ font-weight:normal;}
td img{ vertical-align:middle;}
th img{ vertical-align:middle;}
a img{ border:none;}
a{ cursor:pointer;}
a:focus, input[type=button] ,input[type=submit] {outline:none;}
/* 去掉FF下此元素的边框 */
input:focus,textarea:focus{outline: none;}
abbr,acronym{ border:0; font-variant:normal;}
/* 定义一致的del样式 */
del{ text-decoration:line-through;}
address,caption,cite,code,dfn,em,th,var{ font-style:normal;font-weight:500;}
/* 去掉列表前的标识 */
ul,li{ list-style:none;}
caption,th{ text-align:left;}
h1,h2,h3,h4,h5,h6{ font-weight:normal;}
/* 统一上标和下标 */
sup{ vertical-align:text-top;}
sub{ vertical-align:text-bottom;}
/* 去除链接下划线 */
ins,a{ text-decoration:none;}
input,select{ vertical-align:middle;}
select{cursor:pointer;}
textarea{resize: none;}
i{color:#BBB;cursor:pointer;}

/*=================================================== 小功能 =========================================== */
/*=============== 清浮动 =============== */
.fn-clear{clear:both; zoom:1;/* for IE6 IE7 */}
.fn-zoom{zoom:1;}
/*=============== 显示方式===============*/
/* display与visibility的区别：当visibility被设置为"hidden"的时候，元素虽然被隐藏了，但它仍然占据它原来所在的位置；display不占据位置*/
/* display */
.fn-hide{display:none;}
.fn-inline{display:inline;}
.fn-block{display:block;}
.fn-inlineBlock{display:inline-block;}
/* visibility */
.fn-hide-occupy{visibility:hidden;}
.fn-visible{visibility:visible;}
/*=============== 滚动条样式 ===============*/
.fn-overflow-auto{overflow:auto;}
.fn-overflow-hidden{overflow:hidden;}
.fn-overflow-yScroll{overflow-y:scroll;}
.fn-overflow-yAuto{overflow-y:auto;}
/*=============== 禁用掉当前输入法,通常用于规范文本框只能输入某些字符 ===============*/
.fn-imeMode {ime-mode:disabled;}
/*=============== margin ===============*/
.fn-margin{margin:0;}
.fn-divCenter{margin:0 auto;}
/*=============== 浮动功能 ===============*/
.fn-left{ float:left;}
.fn-right{ float:right;}
/*=============== 对齐方式 ===============*/
/* 水平对齐方式 */
.fn-textAlign-right{text-align:right;}
.fn-textAlign-left{text-align:left;}
.fn-textAlign-center{text-align:center;}
/* 垂直对齐方式 */
.fn-valign-1{vertical-align:middle;}
.fn-valign-2{vertical-align:top;}
/*=============== 宽度、高度 ===============*/
.fn-width{width:100%;}
.fn-height{height:100%;}
.resizeHeight{height:auto;zoom:1;}
/*=============== 鼠标样式 ===============*/
.fn-cursor{cursor:pointer;}
/*=============== 定位样式===============*/
.fn-pos-rel{position:relative;}
.fn-pos-abs{position:absolute;}
/*=============== 其它小功能 ===============*/
.fn-workBreak{work-break:break-all;}
.fn-border{border:0}
.fn-tableLay{table-layout:fixed;}

.clearfix{zoom:1;}
.clearfix:after{display:block;clear:both;visibility:hidden;height:0;overflow:hidden;content:".";}
/* placeholder默认样式 */
input::-webkit-input-placeholder{font-size:12px;}
input::-moz-placeholder{font-size:12px;}
input:-ms-input-placeholder{font-size:12px;}
input:-moz-placeholder{font-size:12px;}